Show details of a specific API key, including its roles, team assignments and when its token was last issued.
This endpoint requires a valid API key with the api_keys_manage role at either the account level or team level.
api_keys_manage
cURL
curl --request GET \ --url https://api.incident.io/v1/api_keys/{id} \ --header 'Authorization: Bearer <token>'
{ "api_key": { "created_at": "2021-08-17T13:28:57.801578Z", "creator": { "api_key": { "id": "01FCNDV6P870EA6S7TK1DSYDG0", "name": "My test API key" }, "user": { "email": "lisa@incident.io", "id": "01FCNDV6P870EA6S7TK1DSYDG0", "name": "Lisa Karlin Curtis", "role": "viewer", "slack_user_id": "U02AYNF2XJM" } }, "id": "01FCNDV6P870EA6S7TK1DSYDG0", "last_used_at": "2021-08-17T13:28:57.801578Z", "name": "My test API key", "roles": [ { "description": "can view data, like public incidents and organization settings", "name": "viewer" } ], "team_ids": [ "abc123" ], "team_roles": [ { "description": "can view data, like public incidents and organization settings", "name": "schedules_editor" } ], "token_last_issued_at": "2021-08-17T13:28:57.801578Z" } }
API key from your incident.io dashboard (Settings → API keys)
Unique identifier of the API key to retrieve
"01FCNDV6P870EA6S7TK1DSYDG0"
OK response.
Show child attributes
Was this page helpful?
Contact support